@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Righteous&display=swap');
html {
    height: -webkit-fill-available;
}
body {
    -webkit-text-size-adjust: none;
    min-height: -webkit-fill-available;
}
body, button {
    font-family: 'Montserrat', sans-serif;
}
h3 {
    font-family: 'Righteous', cursive;
    font-weight: normal;
    font-size: 1.5em;
    padding: 0;
    margin: 4px;
    text-align: center;
}
/* GlassMorphism Border */
.panel, .menuDropdown, .popup, .closeBtn {
    background-image: linear-gradient(to bottom right, #ffff, #fff0, #ffff, #fff0, #ffff, #fff0, #ffff, #fff0);
    border-radius: 5px;
    background-size: 0 0;
    z-index: 0;
}
.panel:before, .menuDropdown:before, .popup:before, .closeBtn:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: inherit;
    background-size: auto;
    -webkit-mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg"><rect x="1" y="1" width="100%" height="100%" style="height:100%;width:100%" rx="5" ry="5" stroke-width="1" fill="transparent" stroke="white"/></svg>') 0 / 100% 100%;
    mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg"><rect x="1" y="1" width="100%" height="100%" style="height:100%;width:100%" rx="5" ry="5" stroke-width="1" fill="transparent" stroke="white"/></svg>') 0 / 100% 100%;
}
/* GlassMorphism Background */
.panel, .popup, .closeBtn {
    box-shadow: 0 8px 32px 0 #1286;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    margin: 7px;
}

#menu {
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
}
.menuItem {
    position: relative;
    display: inline-block;
    height: 100%;
    width: 50px;
}
.menuBtn, .bgWrapper, .settingsNav *, .menuDropdownItem {
    cursor: pointer;
}
.menuBtn {
    transition-property: background-color;
    transition-duration: 0.5s;
    transition-timing-function: ease-in-out;
    padding: 5px;
    z-index: 1;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 90%;
    height: 75%;
    line-height: 0;
    transform: translate3d(-50%, -50%, 0);
    border-radius: 5px;
    font-size: x-small;
}
.menuDropdown {
    box-shadow: 0 8px 32px 0 #1286;
    margin: 7px 0;
    position: absolute;
    top: -100px;
    transition-property: top;
    transition-duration: 0.5s;
    transition-timing-function: ease-in-out;
    height: auto;
    width: 150%;
    left: 50%;
    transform: translate3d(-50%, 0, 0);
    text-align: center;
    font-size: small;
}
.menuItem:hover .menuBtn, .menuItem:active .menuBtn, .menuItem:focus .menuBtn {
    background-color: #ccc;
}
.menuItem:hover .menuDropdown, .menuItem:active .menuDropdown, .menuItem:focus .menuDropdown, .menuItem:focus-within .menuDropdown {
    top: 17px;
}
.menuDropdownEntry {
    text-decoration: none;
    display: block;
}
#canvas {
    padding: 12px;
}
::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}
::-webkit-scrollbar-track-piece {
    border-radius: 5px;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}
::-webkit-scrollbar-thumb {
    border-radius: 5px;
}
::-webkit-scrollbar-corner {
    background: #fff0;
}
.popup {
    position: absolute;
    top: 50%;
    transform: translate3d(-50%, -50%, 0);
    left: 50%;
    width: 90%;
    height: 90%;
    margin: 0;
    padding: 6px;
    box-shadow: 0 8px 32px 0 #1286;
    display: grid;
    grid-template-columns: calc(20% - 3px) calc(80% - 3px);
    grid-gap: 6px;
    overflow: hidden;
    z-index: 10;
}
.settingsNav {
    overflow-y: auto;
    border-radius: 5px;
    text-align: center;
    padding: 5px;
}
.settingsPage {
    overflow-y: scroll;
    border-radius: 5px;
}
.singleSelectFlex {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    height: 100%;
    width: 100%;
}
.bgWrapper {
    height: 150px;
    width: 150px;
    border-radius: 50%;
    margin: 4px;
    background-size: cover !important;
    background-attachment: scroll !important;
    background-position: center;
}
.closeBtn {
    position: absolute;
    padding: 0;
    right: 10px;
    height: 20px;
    width: 20px;
    cursor: pointer;
}
.closeBtn svg {
    width: 10px;
    height: 10px;
}
@media (prefers-color-scheme: dark) {
    ::-webkit-scrollbar-thumb, canvas, .menuDropdown, .menuBtn, .settingsNav, .settingsPage {
        background-color: #29262a;
    }
    ::-webkit-scrollbar-track-piece, .panel, .popup, .closeBtn {
        background-color: #29262a44;
    }
    .menuDropdownEntry, .menuDropdown, .menuBtn, .popup {
        color: #fff;
    }
    ::-webkit-scrollbar-track-piece, ::-webkit-scrollbar-thumb {
        -webkit-box-shadow: inset 4px 4px 3px 0 #fff6;
        box-shadow: inset 4px 4px 3px 0 #fff6;
    }
    .closeBtn svg path {
        fill: #fff;
    }
}
@media (prefers-color-scheme: light) {
    ::-webkit-scrollbar-thumb, canvas, .menuDropdown, .menuBtn, .settingsNav, .settingsPage {
        background-color: #fff;
    }
    ::-webkit-scrollbar-track-piece, .panel, .popup, .closeBtn {
        background-color: #fff4;
    }
    .menuDropdownEntry, .menuDropdown, .menuBtn, .popup {
        color: #000;
    }
    ::-webkit-scrollbar-track-piece, ::-webkit-scrollbar-thumb {
        -webkit-box-shadow: inset 4px 4px 3px 0 #1286;
        box-shadow: inset 4px 4px 3px 0 #1286;
    }
    .closeBtn svg path {
        fill: #000;
    }
}
